Bug 1305625 - cannot 'atomic run' rhel-tools container; AssertionError returned
cannot 'atomic run' rhel-tools container; AssertionError returned
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: atomic (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Lokesh Mandvekar
atomic-bugs@redhat.com
: TestBlocker
: 1305877 (view as bug list)
Depends On:
Blocks: 1298318
  Show dependency treegraph
 
Reported: 2016-02-08 13:40 EST by Micah Abbott
Modified: 2016-02-24 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-24 17:00:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Micah Abbott 2016-02-09 09:42:55 EST
*** Bug 1305877 has been marked as a duplicate of this bug. ***
Comment 3 Daniel Walsh 2016-02-09 10:34:09 EST
This is fixed in the upstream atomic package, I believe you are running this on a system with no images.
Comment 4 Lokesh Mandvekar 2016-02-09 10:41:59 EST
(In reply to Daniel Walsh from comment #3)
> This is fixed in the upstream atomic package, I believe you are running this
> on a system with no images.

Dan, so is this just a matter of building upstream with the cherry-picked fix? I can reproduce this error using both rhel-tools and fedora images, even after the images have been pulled.
Comment 5 Daniel Walsh 2016-02-09 10:43:35 EST
See if you can merge b0587e2b624a4d532f0b4c6736a9e70a6d2103af

commit b0587e2b624a4d532f0b4c6736a9e70a6d2103af
Merge: 0917a40 1376e50
Author: Daniel J Walsh <dwalsh@redhat.com>
Date:   Sun Jan 17 08:56:38 2016 -0500

    Merge pull request #277 from rhatdan/images
    
    Make git_images always return a list.
Comment 6 Lokesh Mandvekar 2016-02-09 10:48:01 EST
(In reply to Daniel Walsh from comment #5)
> See if you can merge b0587e2b624a4d532f0b4c6736a9e70a6d2103af
> 
> commit b0587e2b624a4d532f0b4c6736a9e70a6d2103af
> Merge: 0917a40 1376e50
> Author: Daniel J Walsh <dwalsh@redhat.com>
> Date:   Sun Jan 17 08:56:38 2016 -0500
> 
>     Merge pull request #277 from rhatdan/images
>     
>     Make git_images always return a list.

So 1.8-6.git1bc3814 (commit#1bc3814 dated 01/26) already includes commit#b0587e2 dated 01/17
Comment 7 Micah Abbott 2016-02-09 10:57:23 EST
(In reply to Daniel Walsh from comment #3)
> This is fixed in the upstream atomic package, I believe you are running this
> on a system with no images.

No, in my example in the very first comment, I have multiple images already installed.  Including the image I am trying to run.
Comment 9 Daniel Walsh 2016-02-22 14:59:38 EST
Could you try this on atomic-1.9.
Comment 10 Micah Abbott 2016-02-22 16:50:00 EST
Will try to reproduce with 1.9; setting need-info as a reminder.
Comment 11 Micah Abbott 2016-02-24 17:00:52 EST
Using atomic 1.9 from git on F23 worked for me

# ./atomic --version
1.9
# ./atomic run registry.access.redhat.com/rhel7/rhel-tools
docker run -it --name rhel-tools --privileged --ipc=host --net=host --pid=host -e HOST=/host -e NAME=rhel-tools -e IMAGE=registry.access.redhat.com/rhel7/rhel-tools -v /run:/run -v /var/log:/var/log -v /etc/machine-id:/etc/machine-id -v /etc/localtime:/etc/localtime -v /:/host registry.access.redhat.com/rhel7/rhel-tools

This container uses privileged security switches:

INFO: --ipc=host 
      Processes in this container can see and possibly interact with all semaphores and shared memory segments on the host as well as disables SELinux within the container.

INFO: --net=host 
      Processes in this container can listen to ports (and possibly rawip traffic) on the host's network.

INFO: --pid=host 
      Processes in this container can see and interact with all processes on the host and disables SELinux within the container.

INFO: --privileged 
      This container runs without separation and should be considered the same as root on your system.

For more information on these switches and their security implications, consult the manpage for 'docker run'.

[root@fedora-cloud-23-vm0 /]#

Note You need to log in before you can comment on or make changes to this bug.